Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class NumericTextField

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.text.JTextComponent
                      javax.swing.JTextField
                          com.sshtools.common.ui.XTextField
                              com.sshtools.common.ui.NumericTextField

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.datatransfer.ClipboardOwner, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.Scrollable, java.io.Serializable, javax.swing.SwingConstants

public class NumericTextField
extends XTextField

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JTextField
`javax.swing.JTextField.AccessibleJTextField`

Nested classes inherited from class javax.swing.text.JTextComponent
`javax.swing.text.JTextComponent.AccessibleJTextComponent, javax.swing.text.JTextComponent.KeyBinding`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JTextField
`notifyAction`

Fields inherited from class javax.swing.text.JTextComponent
`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NumericTextField(java.lang.Number min, java.lang.Number max)` Creates a new NumericTextField object.
`NumericTextField(java.lang.Number min, java.lang.Number max, java.lang.Number initial)` Creates a new NumericTextField object.
`NumericTextField(java.lang.Number min, java.lang.Number max, java.lang.Number initial, boolean rightJustify)` Creates a new NumericTextField object.
`NumericTextField(java.lang.Number min, java.lang.Number max, java.lang.Number initial, boolean rightJustify, java.text.NumberFormat numberFormat)` Creates a new NumericTextField object.

Method Summary
`java.lang.Number` | `getMaximum()` DOCUMENT ME!
`java.lang.Number` | `getMinimum()` DOCUMENT ME!
`java.text.NumberFormat` | `getNumberFormat()` DOCUMENT ME!
`java.lang.Number` | `getValue()` DOCUMENT ME!
`boolean` | `isRightJustify()` DOCUMENT ME!
`boolean` | `isSelectAllOnFocusGain()` DOCUMENT ME!
`protected void` | `processFocusEvent(java.awt.event.FocusEvent e)`
`void` | `setMaximum(java.lang.Number max)` DOCUMENT ME!
`void` | `setMinimum(java.lang.Number min)` DOCUMENT ME!
`void` | `setNumberFormat(java.text.NumberFormat numberFormat)` DOCUMENT ME!
`void` | `setRightJustify(boolean rightJustify)` DOCUMENT ME!
`void` | `setSelectAllOnFocusGain(boolean selectAllOnFocusGain)` DOCUMENT ME!
`void` | `setText(java.lang.String s)` DOCUMENT ME!
`void` | `setValue(java.lang.Number i)` DOCUMENT ME!

Methods inherited from class com.sshtools.common.ui.XTextField
`lostOwnership`

Methods inherited from class javax.swing.JTextField
`addActionListener, configurePropertiesFromAction, createActionPropertyChangeListener, createDefaultModel, fireActionPerformed, getAccessibleContext, getAction, getActionListeners, getActions, getColumns, getColumnWidth, getHorizontalAlignment, getHorizontalVisibility, getPreferredSize, getScrollOffset, getUIClassID, isValidateRoot, paramString, postActionEvent, removeActionListener, scrollRectToVisible, setAction, setActionCommand, setColumns, setDocument, setFont, setHorizontalAlignment, setScrollOffset`

Methods inherited from class javax.swing.text.JTextComponent
`addCaretListener, addInputMethodListener, addKeymap, copy, cut, fireCaretUpdate, getCaret, getCaretColor, getCaretListeners, getCaretPosition, getDisabledTextColor, getDocument, getDragEnabled, getFocusAccelerator, getHighlighter, getInputMethodRequests, getKeymap, getKeymap, getMargin, getNavigationFilter, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getToolTipText, getUI, isEditable, loadKeymap, modelToView, moveCaretPosition, paste, processInputMethodEvent, read, removeCaretListener, removeKeymap, removeNotify, replaceSelection, select, selectAll, setCaret, setCaretColor, setCaretPosition, setComponentOrientation, setDisabledTextColor, setDragEnabled, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setUI, updateUI, viewToModel, write`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericTextField

    public NumericTextField(java.lang.Number min,
                            java.lang.Number max)

  Creates a new NumericTextField object.

Parameters:
  `min` - DOCUMENT ME!
  `max` - DOCUMENT ME!

### NumericTextField

    public NumericTextField(java.lang.Number min,
                            java.lang.Number max,
                            java.lang.Number initial,
                            boolean rightJustify)

  Creates a new NumericTextField object.

Parameters:
  `min` - DOCUMENT ME!
  `max` - DOCUMENT ME!
  `initial` - DOCUMENT ME!
  `rightJustify` - DOCUMENT ME!

### NumericTextField

    public NumericTextField(java.lang.Number min,
                            java.lang.Number max,
                            java.lang.Number initial)

  Creates a new NumericTextField object.

Parameters:
  `min` - DOCUMENT ME!
  `max` - DOCUMENT ME!
  `initial` - DOCUMENT ME!

### NumericTextField

    public NumericTextField(java.lang.Number min,
                            java.lang.Number max,
                            java.lang.Number initial,
                            boolean rightJustify,
                            java.text.NumberFormat numberFormat)

  Creates a new NumericTextField object.

Parameters:
  `min` - DOCUMENT ME!
  `max` - DOCUMENT ME!
  `initial` - DOCUMENT ME!
  `rightJustify` - DOCUMENT ME!
  `numberFormat` - DOCUMENT ME!
Throws:
  `java.lang.IllegalArgumentException` - DOCUMENT ME!

Method Detail

### processFocusEvent

    protected void processFocusEvent(java.awt.event.FocusEvent e)

### isSelectAllOnFocusGain

    public boolean isSelectAllOnFocusGain()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSelectAllOnFocusGain

    public void setSelectAllOnFocusGain(boolean selectAllOnFocusGain)

  DOCUMENT ME!

  Parameters:
    `selectAllOnFocusGain` - DOCUMENT ME!

### setMaximum

    public void setMaximum(java.lang.Number max)

  DOCUMENT ME!

  Parameters:
    `max` - DOCUMENT ME!

### getMaximum

    public java.lang.Number getMaximum()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setMinimum

    public void setMinimum(java.lang.Number min)

  DOCUMENT ME!

  Parameters:
    `min` - DOCUMENT ME!

### getMinimum

    public java.lang.Number getMinimum()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setNumberFormat

    public void setNumberFormat(java.text.NumberFormat numberFormat)

  DOCUMENT ME!

  Parameters:
    `numberFormat` - DOCUMENT ME!

### getNumberFormat

    public java.text.NumberFormat getNumberFormat()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setRightJustify

    public void setRightJustify(boolean rightJustify)

  DOCUMENT ME!

  Parameters:
    `rightJustify` - DOCUMENT ME!

### isRightJustify

    public boolean isRightJustify()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setText

    public void setText(java.lang.String s)

  DOCUMENT ME!

  Parameters:
    `s` - DOCUMENT ME!

### setValue

    public void setValue(java.lang.Number i)

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!

### getValue

    public java.lang.Number getValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD